Bug 1594900 - needs patch for setting colordepth when running freerdp
Summary: needs patch for setting colordepth when running freerdp
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pidgin-sipe
Version: 27
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Stefan Becker
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-25 16:11 UTC by Brian J. Murrell
Modified: 2018-09-14 23:51 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-07-06 15:44:36 UTC


Attachments (Terms of Use)

Description Brian J. Murrell 2018-06-25 16:11:21 UTC
Description of problem:
When trying to view the presentation during a call an error dialog pops up:

You requested an H264 GFX mode for server 127.0.0.1, but your libfreerdp does not support H264. Please check Color Depth settings.

Version-Release number of selected component (if applicable):
pidgin-sipe-1.23.2-1.fc27.x86_64

How reproducible:
100%

This patch is needed to resolve this issue:

http://repo.or.cz/siplcs.git/commitdiff_plain/236e3e153c48542319efdf84e9e58eb62c3109b9

I've done a local build here with it and have confirmed it resolves the issue.

Comment 1 Fedora Update System 2018-06-27 09:51:09 UTC
pidgin-sipe-1.23.2-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1c9ecfaea9

Comment 2 Fedora Update System 2018-06-27 09:52:14 UTC
pidgin-sipe-1.23.2-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-21c5582c1f

Comment 3 Fedora Update System 2018-06-27 09:53:23 UTC
pidgin-sipe-1.23.2-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-9a25c2c2ae

Comment 4 Stefan Becker 2018-06-27 09:58:33 UTC
Please note that F27 is no longer recommended for SIPE users, as the libnice maintainer has not done the rebase to git HEAD in F27. Therefore the V&V support will be broken for many users.

Comment 5 Brian J. Murrell 2018-06-27 13:31:44 UTC
(In reply to Stefan Becker from comment #4)
> Please note that F27 is no longer recommended for SIPE users, as the libnice
> maintainer has not done the rebase to git HEAD in F27. Therefore the V&V
> support will be broken for many users.

Would it be horrible for that to get done in F27 also for those of us who cannot move to F28 yet?

Is there a ticket that covered this work for F28 that you can point me at?

Comment 6 Stefan Becker 2018-06-27 15:43:49 UTC
(In reply to Brian J. Murrell from comment #5)
> 
> Is there a ticket that covered this work for F28 that you can point me at?

That would be bug #1541646.

But as Remmina does start for you, you are one of the lucky ones where the old libnice is good enough.

Comment 7 Fedora Update System 2018-06-28 12:32:23 UTC
pidgin-sipe-1.23.2-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-21c5582c1f

Comment 8 Fedora Update System 2018-06-28 14:55:35 UTC
pidgin-sipe-1.23.2-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-9a25c2c2ae

Comment 9 Fedora Update System 2018-06-28 15:04:19 UTC
pidgin-sipe-1.23.2-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1c9ecfaea9

Comment 10 Fedora Update System 2018-07-06 15:44:36 UTC
pidgin-sipe-1.23.2-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-07-06 16:42:33 UTC
pidgin-sipe-1.23.2-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-08-20 15:59:28 UTC
pidgin-sipe-1.23.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-199a7c6f9a

Comment 13 Fedora Update System 2018-08-22 02:03:36 UTC
pidgin-sipe-1.23.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-199a7c6f9a

Comment 14 Fedora Update System 2018-09-14 23:51:49 UTC
pidgin-sipe-1.23.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.